org.firebirdsql.jdbc

## Class FBDriverNotCapableException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.sql.SQLException
      - - java.sql.SQLNonTransientException
        - - java.sql.SQLFeatureNotSupportedException
          - - org.firebirdsql.jdbc.FBDriverNotCapableException

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Iterable<java.lang.Throwable>

      public class FBDriverNotCapableException
      extends java.sql.SQLFeatureNotSupportedException

  Tell that driver is not able to serve the request due to missing capabilities.
  Author:
    Roman Rokytskyy
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `SQL_STATE_FEATURE_NOT_SUPPORTED` Deprecated. Use constants from `SQLStateConstants`. To be removed in Jaybird 4.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FBDriverNotCapableException()` Create instance of this class.
    `FBDriverNotCapableException(java.lang.String reason)` Create instance of this class for the specified reason.

  - ### Method Summary

    - ### Methods inherited from class java.sql.SQLException

      `getErrorCode, getNextException, getSQLState, iterator, setNextException`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### SQL_STATE_FEATURE_NOT_SUPPORTED

          @Deprecated
          public static final java.lang.String SQL_STATE_FEATURE_NOT_SUPPORTED

      Deprecated. Use constants from `SQLStateConstants`. To be removed in Jaybird 4.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### FBDriverNotCapableException

          public FBDriverNotCapableException(java.lang.String reason)

      Create instance of this class for the specified reason.
      Parameters:
        `reason` - reason that will be displayed.

    - #### FBDriverNotCapableException

          public FBDriverNotCapableException()

      Create instance of this class.

Copyright © 2001-2021 Jaybird (Firebird JDBC/JCA) team. All rights reserved.